<nz-spin [nzSpinning]="isLoading">
  <div nz-row nzJustify="center" nzGutter="24">
    <div nz-col nzXs="24" nzSm="24" nzXXl="24">
      <app-map-selector mapHeight="400px" circleRadius="2" (regionSelected)="regionSelected($event)" *ngIf="region"
        [showRegionDetails]="false">
      </app-map-selector>
    </div>

    <div nz-col nzSpan="10" style="text-align: center;">
      <nz-divider nzText="Traveling from"></nz-divider>
      <h3 *ngIf="region?.name !== (region?.x + ', ' + region?.y)">
        {{'Common.Region' | translate}}: {{ region?.name }}
      </h3>
    </div>
    <div nz-col nzSpan="2" style="text-align: center;">
      <h3>
        <a href="https://wiki.vpopulus.net/e/en/Travel" style="margin-top: 20px">
          <span nz-icon nzType="question-circle" nzTheme="outline"></span>
        </a>
        <br />
        <span nz-icon nzType="double-right" nzTheme="outline"></span>
        <h4 *ngIf="selectedRegion && distance">
          <b>{{ distance }}</b> <small>km</small>
        </h4>
      </h3>
    </div>
    <div nz-col nzSpan="10" style="text-align: center;">
      <nz-divider nzText="Traveling to"></nz-divider>
      <h3 *ngIf="selectedRegion && selectedRegion?.name !== (selectedRegion?.x + ', ' + selectedRegion?.y)">
        {{'Common.Region' | translate}}: {{ selectedRegion?.name }}
      </h3>
    </div>

    <nz-col nzSpan="24" *ngIf="selectedRegion">
      <nz-divider [nzText]="'Economy.Travel.PaymentOptions' | translate"></nz-divider>
      <div nz-row nzAlign="middle" nzJustify="center" nzGutter="24">
        <div nz-col nzXs="22" nzSm="9" nzXXl="4" class="option-col" *ngFor="let travelOption of travelOptions">
          <div class="option-box" (click)="selectedTravelOption = travelOption"
            [style.border]="selectedTravelOption?.type === travelOption.type ? '1px solid green' : '1px solid rgba(128, 128, 128, 0.463)'">
            <img src="{{ travelOption.icon }}" class="avatar-small" style="margin-right: 0px" />
            <div *ngIf="travelOption.type === 0">
              {{ selectedTravelRegion?.GoldCost }} {{'Economy.Currencies.Gold' | translate}}
            </div>
            <div *ngIf="travelOption.type > 0">
              <span innerHtml="{{ travelOption.type | q }}" style="color: gold;"></span>
            </div>
          </div>
          <nz-tag class="option-tag" nzColor="blue">
            {{ "Entity.Inventory.inStock" | translate }}: {{ travelOption.Available }}
          </nz-tag>
          <nz-tag class="option-tag" [nzColor]="travelOption.CanUse ? 'green' : 'red'">
            {{'Donations.Required' | translate}}: {{ travelOption.Required }}
          </nz-tag>
        </div>
      </div>
      <div style="justify-content: center; display: flex;">
        <button nz-button nzSize="large" nzType="primary" nzShape="round" (click)="travel()" [disabled]="isDisabled"
          [nzLoading]="isLoading" style="margin-top: 20px;padding: 6.4px 80px;">
          {{ "Common.Buttons.Travel" | translate }}
        </button>
      </div>
    </nz-col>
  </div>
</nz-spin>
